LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-28-2006, 11:00 PM   #1
wuchee
LQ Newbie
 
Registered: Nov 2006
Posts: 14

Rep: Reputation: 0
ARPstar compilation errors


[root@localhost arp]# make
make -C /lib/modules/2.4.20-8/build SUBDIRS=/root/arp modules
make[1]: Entering directory `/usr/src/linux-2.4.20-8'
make -r -f tmp_include_depends all
make[2]: Entering directory `/usr/src/linux-2.4.20-8'
touch: creating `/usr/src/build/231485-i386/install/usr/src/linux-2.4.20-8/fs/jfs/jfs_debug.h': No such file or directory
make[2]: *** [/usr/src/build/231485-i386/install/usr/src/linux-2.4.20-8/fs/jfs/jfs_debug.h] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.20-8'
make[1]: *** [tmp_include_depends] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.20-8'
make: *** [default] Error 2

need help, thanks alot!
 
Old 11-28-2006, 11:58 PM   #2
Mad Scientist
Member
 
Registered: May 2003
Posts: 167

Rep: Reputation: 30
What exactly are you trying to do? And how are you trying to do it?
 
Old 11-29-2006, 12:52 AM   #3
wuchee
LQ Newbie
 
Registered: Nov 2006
Posts: 14

Original Poster
Rep: Reputation: 0
I found my LAN have serious ARP Snoofing, But I don't know who did it, so I want to protect my ARP with the software ARPstar, after download it I follow the Installing instruction to install that, I got the error above. my system is redhat 9 kernel 2.6.0. any ideas??
 
Old 11-29-2006, 01:44 AM   #4
Mad Scientist
Member
 
Registered: May 2003
Posts: 167

Rep: Reputation: 30
Well, there's definitely kernel issues. You say "kernel 2.6.0", but in your original post, make is print errors about kernel 2.4.20-8. Which kernel are you running? Do you have the corresponding kernel source package installed?
 
Old 11-29-2006, 02:02 AM   #5
wuchee
LQ Newbie
 
Registered: Nov 2006
Posts: 14

Original Poster
Rep: Reputation: 0
well, actually i have linux 2.6.0 installed, but I can't enter it, once I choose it from the GRUB, it show somthing like
kernel panic : no init found ,try passing init = option to kernel.............
so I enter the 2.4 instead of the 2.6. so the problem was happen at 2.4.
 
Old 11-29-2006, 10:27 AM   #6
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 77
I have edited the title for this thread. Please use better titles for your threads because this helps others know exactly what your thread is about.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
compilation errors in g++ manikan Linux - Software 1 02-03-2006 05:31 AM
pango compilation errors slylos SUSE / openSUSE 4 12-04-2005 02:21 PM
ArpStar 0.5.0 Defeats ARP poisoning bassdemon Linux - Security 14 02-21-2005 01:32 PM
C++ compilation errors ??? glevine Programming 1 07-16-2004 03:15 PM
Compilation Errors ! vipinsharma Programming 0 06-01-2004 02:24 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:00 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration